<?xml version="1.0" encoding="utf-8"?>
<RelativeLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="#FF5A7090">

    <TextView
        android:id="@+id/stop_cast"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_above="@id/superplayer_ll_bottom"
        android:layout_centerInParent="true"
        android:layout_marginBottom="16dp"
        android:background="@drawable/casting_cancel"
        android:gravity="center"
        android:text="退出连接"
        android:textColor="#ffffffff"
        android:textSize="15sp" />

    <LinearLayout
        android:id="@+id/superplayer_ll_bottom"
        android:layout_width="match_parent"
        android:layout_height="64dp"
        android:layout_alignParentBottom="true"
        android:background="@drawable/shadow_bottom"
        android:clipChildren="false"
        android:orientation="horizontal">

        <!--播放/暂停-->
        <ImageView
            android:id="@+id/superplayer_iv_pause"
            android:layout_width="38dp"
            android:layout_height="39dp"
            android:layout_gravity="center_vertical"
            android:layout_marginLeft="23dp"
            android:layout_marginTop="10dp"
            android:layout_marginBottom="15dp"
            android:src="@mipmap/play_state" />

        <androidx.constraintlayout.widget.ConstraintLayout
            android:layout_width="0dp"
            android:layout_height="match_parent"
            android:layout_marginLeft="19dp"
            android:layout_marginRight="19dp"
            android:layout_weight="1"
            android:clipChildren="false">

            <com.tencent.liteav.demo.superplayer.ui.view.PointProgressBar
                android:id="@+id/superplayer_bar_progress"
                android:layout_width="match_parent"
                android:layout_height="11dp"
                android:layout_marginTop="23dp"
                android:layout_marginBottom="30dp"
                app:backgroundColor="#FFFFFFFF"
                app:layout_constraintLeft_toLeftOf="parent"
                app:layout_constraintRight_toRightOf="parent"
                app:layout_constraintTop_toTopOf="parent"
                app:maxValue="100"
                app:progress="0"
                app:progressColor="#FFFF8642"
                app:progressHeight="11dp"
                app:trackDrawable="@mipmap/dog_track"
                app:trackHeight="39dp"
                app:trackWidth="38dp" />

            <!--播放位置-->
            <TextView
                android:id="@+id/superplayer_tv_current"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginTop="4dp"
                android:text="00:00"
                android:textColor="@android:color/white"
                android:textSize="11.0sp"
                app:layout_constraintRight_toLeftOf="@id/superplayer_tv_separator"
                app:layout_constraintTop_toBottomOf="@id/superplayer_bar_progress" />

            <TextView
                android:id="@+id/superplayer_tv_separator"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginTop="4dp"
                android:text="/"
                android:textColor="@android:color/white"
                android:textSize="11.0sp"
                app:layout_constraintRight_toLeftOf="@id/superplayer_tv_duration"
                app:layout_constraintTop_toBottomOf="@id/superplayer_bar_progress" />


            <!--总时长-->
            <TextView
                android:id="@+id/superplayer_tv_duration"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginTop="4dp"
                android:text="00:00"
                android:textColor="@android:color/white"
                android:textSize="11.0sp"
                app:layout_constraintRight_toRightOf="@id/superplayer_bar_progress"
                app:layout_constraintTop_toBottomOf="@id/superplayer_bar_progress" />
        </androidx.constraintlayout.widget.ConstraintLayout>


        <ImageView
            android:id="@+id/superplayer_iv_play_next"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_centerInParent="true"
            android:layout_gravity="center_vertical"
            android:layout_marginTop="10dp"
            android:layout_marginRight="12dp"
            android:layout_marginBottom="15dp"
            android:src="@mipmap/play_next"
            android:visibility="visible" />

        <ImageView
            android:id="@+id/superplayer_iv_fullscreen"
            android:layout_width="38dp"
            android:layout_height="39dp"
            android:layout_marginTop="10dp"
            android:layout_marginRight="23dp"
            android:layout_marginBottom="15dp"
            android:src="@mipmap/full_screen" />
    </LinearLayout>

</RelativeLayout>